//
//  ViewController.swift
//  FlutterSize
//
//  Created by 黄小林 on 2023/4/7.
//

import UIKit

class ViewController: UIViewController {

    var btn: UIButton = UIButton(type: .custom)
    var leftView: UIView = UIView()
    var flutterController: FAFlutterViewController = FAFlutterViewController()
    let leftWidth: CGFloat = 200
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        leftView.frame = CGRect(x: 0, y: 0, width: leftWidth, height: UIScreen.main.bounds.height)
        leftView.backgroundColor = .orange
        
        btn.frame = CGRect(x: leftWidth - 40, y: 50, width: 40, height: 40)
        btn.addTarget(self, action: #selector(btnClick(_:)), for: .touchUpInside)
        btn.backgroundColor = .white
        leftView.addSubview(btn)
        
        flutterController.view.frame = CGRect(x: leftWidth, y: 0, width: UIScreen.main.bounds.width - leftWidth, height: UIScreen.main.bounds.height)
        flutterController.view.backgroundColor = .red

        view.addSubview(leftView)
        view.addSubview(flutterController.view)
        self.addChild(flutterController)
    }

    @objc func btnClick(_ sender: UIButton) {
        sender.isSelected.toggle()
        if sender.isSelected {
            btn.frame = CGRect(x: 0, y: 50, width: 40, height: 40)
            leftView.frame = CGRect(x: 0, y: 0, width: 40, height: UIScreen.main.bounds.height)
            flutterController.view.frame = CGRect(x: 40, y: 0, width: UIScreen.main.bounds.width - 40, height: UIScreen.main.bounds.height)

        } else {
            btn.frame = CGRect(x: leftWidth - 40, y: 50, width: 40, height: 40)
            leftView.frame = CGRect(x: 0, y: 0, width: leftWidth, height: UIScreen.main.bounds.height)
            flutterController.view.frame = CGRect(x: leftWidth, y: 0, width: UIScreen.main.bounds.width - leftWidth, height: UIScreen.main.bounds.height)
        }

    }

}

